%
%  function to find a string in a cell array
%  (could probably be replaced by matlab strmatch)
%  
%  [ifound]=find_string(cells,str)
%
function [ifound]=find_string(cells,str)

ifound=false;

for i=1:numel(cells)
    if ischar(cells{i}) && strcmp(cells{i},str)
        ifound=i;
        return
    end
end

end
